diff options
author | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:13:28 +0900 |
---|---|---|
committer | Daiki Ueno <ueno@gnu.org> | 2014-03-10 18:24:15 +0900 |
commit | d66197a3ca8355efa22f1d9c687f41eb30ae19ff (patch) | |
tree | c4acc964d617b04629a3a3bbb7632f34cdb35b9c /gettext-tools/tests/msgcomm-16 | |
parent | 0e79f41006d2b4d69dd3eb57c0202faa6c1fba44 (diff) | |
download | external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.zip external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.gz external_gettext-d66197a3ca8355efa22f1d9c687f41eb30ae19ff.tar.bz2 |
tests: Remove unnecessary tempfile cleanup code
Cleanup code like "rm -fr $tmpfiles" are no longer needed, since
'init.sh' takes care of that.
Diffstat (limited to 'gettext-tools/tests/msgcomm-16')
-rw-r--r--[-rwxr-xr-x] | gettext-tools/tests/msgcomm-16 | 13 |
1 files changed, 2 insertions, 11 deletions
diff --git a/gettext-tools/tests/msgcomm-16 b/gettext-tools/tests/msgcomm-16 index 7ebe18b..f0a3b13 100755..100644 --- a/gettext-tools/tests/msgcomm-16 +++ b/gettext-tools/tests/msgcomm-16 @@ -3,10 +3,6 @@ # Test handling of input files with different charsets. -tmpfiles="" -trap 'rm -fr $tmpfiles' 1 2 3 15 - -tmpfiles="$tmpfiles mcomm-test16.in1 mcomm-test16.in2" cat <<\EOF > mcomm-test16.in1 # German message file for xyz. # Copyright (C) 1999, 2000, 2001 xyz. @@ -54,7 +50,6 @@ msgid "You can log in as \"%1\"." msgstr "Sie können sich als \"%1\" einloggen." EOF -tmpfiles="$tmpfiles mcomm-test16.tmp mcomm-test16.err mcomm-test16.out" rm -f mcomm-test16.tmp : ${MSGCOMM=msgcomm} @@ -63,11 +58,9 @@ ${MSGCOMM} --more-than=0 -o mcomm-test16.tmp \ mcomm-test16.in1 mcomm-test16.in2 >mcomm-test16.err 2>&1 result=$? cat mcomm-test16.err | grep -v 'warning: .* encodings' | grep -v '^ ' -test $result = 0 || { rm -fr $tmpfiles; exit 1; } -LC_ALL=C tr -d '\r' < mcomm-test16.tmp > mcomm-test16.out -test $? = 0 || { rm -fr $tmpfiles; exit 1; } +test $result = 0 || { exit 1; } +LC_ALL=C tr -d '\r' < mcomm-test16.tmp > mcomm-test16.out || exit 1 -tmpfiles="$tmpfiles mcomm-test16.ok" cat << \EOF > mcomm-test16.ok # German message file for xyz. # Copyright (C) 1999, 2000, 2001 xyz. @@ -100,6 +93,4 @@ EOF ${DIFF} mcomm-test16.ok mcomm-test16.out result=$? -rm -fr $tmpfiles - exit $result |